com.rscja.team.qcom.rs232utils

## Class UhfUartUR4Manage_qcom

- java.lang.Object
- - com.rscja.team.qcom.rs232utils.UhfUartUR4Manage_qcom

-     public class UhfUartUR4Manage_qcom
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `UhfUartUR4Manage_qcom.CheckConnectState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UhfUartUR4Manage_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanReceiveData()`
    `boolean` | `close()`
    `UHFUR4DataHandle` | `getUHFUrAxDataHandle()`
    `boolean` | `isOpen()`
    `boolean` | `open()`
    `byte[]` | `receiveData()`
    `boolean` | `sendData(byte[] data)`
    `void` | `setCheckConnectState(SocketManageUR4.CheckConnectState checkConnectState)`
    `void` | `setConnectionStatusChangedListener(IConnectionStatusChangedListener connectionStatusChanged)`
    `void` | `setUart(java.lang.String uart, int baudRate)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UhfUartUR4Manage_qcom

          public UhfUartUR4Manage_qcom()

  - ### Method Detail

    - #### setCheckConnectState

          public void setCheckConnectState(SocketManageUR4.CheckConnectState checkConnectState)

    - #### setConnectionStatusChangedListener

          public void setConnectionStatusChangedListener(IConnectionStatusChangedListener connectionStatusChanged)

    - #### setUart

          public void setUart(java.lang.String uart,
                              int baudRate)

    - #### open

          public boolean open()

    - #### close

          public boolean close()

    - #### sendData

          public boolean sendData(byte[] data)

    - #### receiveData

          public byte[] receiveData()

    - #### isOpen

          public boolean isOpen()

    - #### cleanReceiveData

          public void cleanReceiveData()

    - #### getUHFUrAxDataHandle

          public UHFUR4DataHandle getUHFUrAxDataHandle()